>From 873100928b45b784dbeb28f3f9a7767af3ac3ab0 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Tue, 7 Jul 2015 15:56:31 -0300
Subject: [PATCH 04/24] Add PG_COLSTORE_NAMESPACE to pg_namespace

Column stores are going to live in their own pg_colstore schema,
much like TOAST tables live in pg_toast.
---
 src/include/catalog/pg_namespace.h | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/include/catalog/pg_namespace.h b/src/include/catalog/pg_namespace.h
index 2c8887c..d1c55d6 100644
--- a/src/include/catalog/pg_namespace.h
+++ b/src/include/catalog/pg_namespace.h
@@ -75,6 +75,9 @@ DESCR("reserved schema for TOAST tables");
 DATA(insert OID = 2200 ( "public" PGUID _null_ ));
 DESCR("standard public schema");
 #define PG_PUBLIC_NAMESPACE 2200
+DATA(insert OID = 9 ( "pg_colstore" PGUID _null_ ));
+DESCR("reserved schema for column stores");
+#define PG_COLSTORE_NAMESPACE 9
 
 
 /*
-- 
2.1.4

